=== debian/changelog ===
stack-client (2.6.5-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Wed, 9 Sep 2020 09:00:00 +0100

stack-client (2.6.4-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Wed, 6 May 2020 09:00:00 +0100

stack-client (2.6.2-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Mon, 20 Jan 2020 09:00:00 +0100

stack-client (2.4.1-1.0~xenial2) xenial; urgency=medium

  * Minor update with filename fix

 -- TransIP <support@transip.nl>  Tue, 13 Mar 2018 09:00:00 +0100

stack-client (2.4.1-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Mon, 5 Mar 2018 09:00:00 +0100

stack-client (2.4.0-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Mon, 15 Jan 2018 09:00:00 +0100

stack-client (2.3.1-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Thu, 23 Mar 2017 19:07:36 +0100

stack-client (2.3.0-1.0~xenial1) xenial; urgency=medium

  * New upstream version

 -- TransIP <support@transip.nl>  Tue, 21 Mar 2017 19:34:13 +0100

stack-client (2.2.4-1.4~xenial1) xenial; urgency=medium

  * The locale-specific icon names are correct too

 -- TransIP <support@transip.nl>  Tue, 7 Feb 2017 19:55:40 +0100

stack-client (2.2.4-1.3~xenial1) xenial; urgency=medium

  * Caja syncstate plugin is built.
  * The syncstate plugin has application-specific name

 -- TransIP <support@transip.nl>  Fri, 27 Jan 2017 19:34:18 +0100

stack-client (2.2.4-1.2~xenial1) xenial; urgency=medium

  * Fixed appname in the Nemo syncstate extension.

 -- TransIP <support@transip.nl>  Thu, 19 Jan 2017 16:46:50 +0100

stack-client (2.2.4-1.1~xenial1) xenial; urgency=medium

  * Added Nautilus and Nemo syncstate extensions.

 -- TransIP <support@transip.nl>  Tue, 17 Jan 2017 19:55:32 +0100

stack-client (2.2.4-1.0~xenial1) xenial; urgency=medium

  * Initial release.

 -- TransIP <support@transip.nl>  Wed, 14 Dec 2016 20:07:46 +0100
