=== debian/control ===
Source: stack-client
Section: contrib/devel
Priority: optional
Maintainer: TransIP <support@transip.nl>
Build-Depends: cmake,
               debhelper,
               cdbs,
               dh-python,
               extra-cmake-modules (>= 5.16),
               kdelibs5-dev,
               libkf5kio-dev,
               libcmocka-dev,
               libdbus-1-dev,
               libhttp-dav-perl,
               libinotify-dev [kfreebsd-any],
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libsqlite3-dev,
               libssl-dev (>= 1.1.0),
               zlib1g-dev,
               optipng,
               pkg-kde-tools,
               python-sphinx | python3-sphinx,
               python3-all,
               qt5keychain-dev,
               qtwebengine5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xvfb
Standards-Version: 3.9.8
Homepage: https://transip.nl/stack

Package: stack-client
Architecture: any
Depends: libstacksync0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, stack-client-l10n
Recommends: libgnome-keyring0
Description: stack desktop sync client
 Use the desktop client to keep your files synchronized
 between your stack server and your desktop. Select
 one or more directories on your local machine and always
 have access to your latest files wherever you are.

Package: libstacksync0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: stack sync library
 Used by the stack desktop client as the synchronization engine.

Package: libstacksync-dev
Architecture: any
Section: contrib/libdevel
Depends: libstacksync0 (=${binary:Version}), ${misc:Depends}
Description: stack sync library development files
 The headers and development library for the stack sync library.

Package: stack-client-l10n
Architecture: all
Depends: ${misc:Depends}
Description: stack client internatialization files
 The translation files.

Package: stack-client-nautilus
Architecture: all
Depends: stack-client (>=${binary:Version}), libstacksync0, python-nautilus, nautilus, ${misc:Depends}
Description: Nautilus plugin for stack
 This package contains a Nautilus plugin to display
 synchronization status icons for stack files.

Package: stack-client-nemo
Architecture: all
Depends: stack-client (>=${binary:Version}), libstacksync0, python-nemo | nemo-python, nemo, ${misc:Depends}
Description: Nemo plugin for stack
 This package contains a Nemo plugin to display
 synchronization status icons for stack files.

Package: stack-client-caja
Architecture: all
Depends: stack-client (>=${binary:Version}), libstacksync0, python-caja, caja, ${misc:Depends}
Description: Caja plugin for stack
 This package contains a Caja plugin to display
 synchronization status icons for stack files.

Package: stack-client-dolphin
Architecture: any
Depends: dolphin (>= 4:15.12.1), libstacksync0 (= ${binary:Version}), stack-client, ${misc:Depends}, ${shlibs:Depends}
Description: Dolphin plugin for stack
 This package contains a Dolphin plugin to display
 synchronization status icons for stack files.
